Debian Bug report logs - #665689
live-boot initscript fails if VERBOSE=no

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: Pablo Barbachano <pablobarbachano@yahoo.es>

Date: Sun, 25 Mar 2012 06:09:03 UTC

Severity: normal

Fixed in version live-boot/3.0~a26-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, pablobarbachano@yahoo.es, Debian Live Project <debian-live@lists.debian.org>:
Bug#665689; Package live-boot. (Sun, 25 Mar 2012 06:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pablo Barbachano <pablobarbachano@yahoo.es>:
Extra info received and forwarded to list. Copy sent to pablobarbachano@yahoo.es, Debian Live Project <debian-live@lists.debian.org>. (Sun, 25 Mar 2012 06:09:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pablo Barbachano <pablobarbachano@yahoo.es>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-boot initscript fails if VERBOSE=no
Date: Sat, 24 Mar 2012 23:06:29 -0700
[Message part 1 (text/plain, inline)]
Package: live-boot
Severity: normal

I recently built a sid image that I couldn't login into.  Digging through the image I found live-boot was failing with:

startpar: service(s) returned failure: live-config live-boot ... failed!

I started in single user mode, and when trying to start
/etc/init.d/live-boot by hand I found that the script returned exit
status 1.  The buggy code is live-boot.init, line 228:

case "${1}" in
	start|restart|reload|force-reload|status)
		[ "${VERBOSE}" != no ] && log_end_msg 0
		;;

The problem is that since VERBOSE != no, the script will return $? of
the last run command. That is test [, which was 1.

I attach a patch that fixes this issue.


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

--
[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#665689; Package live-boot. (Fri, 30 Mar 2012 08:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 30 Mar 2012 08:12:05 GMT) Full text and rfc822 format available.

Message #10 received at 665689@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 665689@bugs.debian.org
Subject: Re: live-boot initscript fails if VERBOSE=no
Date: Fri, 30 Mar 2012 10:08:52 +0200
tag 665689 pending
thanks

applied, thanks. turned out later though, that the whole thing is not
needed anyway (the verbose stuff).

Regards,
Daniel

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 30 Mar 2012 08:12:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#665689; Package live-boot. (Sat, 31 Mar 2012 18:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to cavit.vural@adak.com.tr:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 31 Mar 2012 18:21:09 GMT) Full text and rfc822 format available.

Message #17 received at 665689@bugs.debian.org (full text, mbox):

From: cavit.vural@adak.com.tr
To: <665689@bugs.debian.org>
Subject: Re: live-boot initscript fails if VERBOSE=no
Date: Sat, 31 Mar 2012 20:29:28 +0300
patch is not sufficent , live-config still fails

/lib/live/config.sh cannot access /proc/cmdline





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#665689; Package live-boot. (Sun, 01 Apr 2012 06:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 01 Apr 2012 06:36:03 GMT) Full text and rfc822 format available.

Message #22 received at 665689@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: cavit.vural@adak.com.tr, 665689@bugs.debian.org
Subject: Re: Bug#665689: live-boot initscript fails if VERBOSE=no
Date: Sun, 01 Apr 2012 08:32:39 +0200
On 03/31/2012 07:29 PM, cavit.vural@adak.com.tr wrote:
> patch is not sufficent , live-config still fails
>
> /lib/live/config.sh cannot access /proc/cmdline

live-config has nothing to do with this bug which is about live-boot.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 05 Apr 2012 06:51:05 GMT) Full text and rfc822 format available.

Notification sent to Pablo Barbachano <pablobarbachano@yahoo.es>:
Bug acknowledged by developer. (Thu, 05 Apr 2012 06:51:05 GMT) Full text and rfc822 format available.

Message #27 received at 665689-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 665689-close@bugs.debian.org
Subject: Bug#665689: fixed in live-boot 3.0~a26-1
Date: Thu, 05 Apr 2012 06:47:23 +0000
Source: live-boot
Source-Version: 3.0~a26-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-doc_3.0~a26-1_all.deb
  to main/l/live-boot/live-boot-doc_3.0~a26-1_all.deb
live-boot-initramfs-tools_3.0~a26-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_3.0~a26-1_all.deb
live-boot_3.0~a26-1.debian.tar.gz
  to main/l/live-boot/live-boot_3.0~a26-1.debian.tar.gz
live-boot_3.0~a26-1.dsc
  to main/l/live-boot/live-boot_3.0~a26-1.dsc
live-boot_3.0~a26-1_all.deb
  to main/l/live-boot/live-boot_3.0~a26-1_all.deb
live-boot_3.0~a26.orig.tar.gz
  to main/l/live-boot/live-boot_3.0~a26.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 665689@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 Apr 2012 08:14:51 +0200
Source: live-boot
Binary: live-boot live-boot-doc live-boot-initramfs-tools
Architecture: source all
Version: 3.0~a26-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-doc - Debian Live - System Boot Scripts (documentation)
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 665689 667435
Changes: 
 live-boot (3.0~a26-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Updating year in copyright.
   * Updating copyright file machine-readable format version 1.0.
   * Updating to standards version 3.9.3.
   * Quoting noprompt variable in initscript to avoid syntax errors,
     thanks to Philip Newborough <corenominal@corenominal.org>.
   * Correcting log_end_msg usages in connection with verbosity checks in
     live-boot initscript, thanks to Pablo Barbachano
     <pablobarbachano@yahoo.es> (Closes: #665689).
   * Replacing live-boot initscript with a stub and moving the actual
     code to /lib/live/boot.sh to allow different initsystem support in
     future.
   * Removing some of the now useless sysvinit specifics from
     bin/boot.sh.
 .
   [ Tails developers ]
   * Adding initial work on a custom mounts system.
 .
   [ Daniel Baumann ]
   * Correcting indenting initial work on a custom mounts system to
     ensure consistency.
   * Avoid calling rm without -f in initial work on a custom mounts
     system to ensure non-interactivity.
   * Avoid '==' bashism in initial work on a custom mounts system to
     ensure posix compatiblity.
 .
   [ Tails developers ]
   * Prevent custom mounting in /live.
   * Optionally symlink files from persistent source instead of mount it.
   * Separate overlay labels for full and custom persistence.
   * Remove some temporary custom mount related files after they're used.
 .
   [ Daniel Baumann ]
   * Calling rm without -f when removing some temporary custom mount
     related files to ensure non-interactivity.
 .
   [ Tails developers ]
   * Handle custom mounts options a bit more beautifully.
   * Continue the correct for-loop so incorrect custom mount is skipped.
   * Refactor union mounting into its own function.
   * Workaround busybox's inability to detect symlinks with [ -e ].
   * Make union mounting more sensible and robust.
   * Ignore empty lines in live.persist.
   * Remove the correct file.
   * Optionally mount custom mounts as unions.
   * Fix mask usage in links_files().
 .
   [ Daniel Baumann ]
   * Correcting syntax when using if constructs in links_files().
 .
   [ Tails developers ]
   * Refactor persistent custom mounting from live into live-helpers.
   * Accept using several persistent media with custom-ov label.
   * Use same device backing path as used in other places.
   * Close unused LUKS devices in all cases.
 .
   [ Daniel Baumann ]
   * Adjusting mount calls when using nfs options (Closes: #667435).
 .
   [ Tails developers ]
   * Refactor live-boot argument parser from live into live-helpers.
   * Refactor some global variables from live into live-helpers.
   * Refactor find_persistent_media().
   * Add support for probing partitions' GPT name just like filesystem
     labels.
   * Some minor cleanups.
   * Handle already mounted devices and closing of unused luks devices
     better.
   * Add backwards compatibility for old labels: live-{rw,sn} and home-
     rw.
   * We don't black list storage devices any more.
   * Check if luks device is already open before trying to open it.
   * Fixup some style issues.
   * Refactor mounting of persistent storage media.
   * Cleanup.
   * Remove two FIXME:s that are not really relevant.
   * Don't allow . or .. in live.persist paths.
   * Use trim_path when we compare paths.
   * Make handling of LUKS encrypted GPT partitions more sane.
   * Handle list arguments better in get_custom_mounts().
   * Copy ownership/perms from source to rw-branch in read-only mode.
   * Change live.persist syntax to "SOURCE [DEST [OPTIONS...]]".
   * Refactor closing of persistent devices upon failure.
   * Create the source dir for custom mounts using the 'linkfiles'
     option.
   * Fix ownership/perms for created union/linkfiles source dirs.
   * Do not allow mutually exclusive custom mount options.
   * Add a note about a potential, future code simplification.
   * Greatly simplify live.persist syntax to "DIR [OPTIONS...]".
   * Make trim_path() handle "/", and arbitrarily many consecutive /:es.
   * Make two custom mounts with nested source directories illegal.
   * Improve error message.
   * Remove cow dir contents that are in the way for custom mounts.
   * Also create parents when creating union/linkfiles source
     directories.
   * Update live-boot(7) man page and add new one for live.persist(5).
   * Delete existing files in the destination's path when creating it.
   * Adding functions equivalent to chmod/chown --reference.
   * Fix ownership for links created for linkfiles custom mounts.
   * Add 'bind' option for the default behaviour of custom mounts (bind-
     mount).
   * Use trim_path() instead of custom sed stanza to trim /:es from
     paths.
   * Copy perms/ownership from source when creating linkfiles dest dirs.
   * Make cases for all different custom mounting situations more
     explicit.
 .
   [ Daniel Baumann ]
   * Correcting left-over in author section of live.persist manpage.
   * Moving initscript to live-config.
Checksums-Sha1: 
 7222642ca00517e9680e0096c97fb363473a21c7 1386 live-boot_3.0~a26-1.dsc
 a6c5ecb495014489f7200bc7a9afd26dff199957 129914 live-boot_3.0~a26.orig.tar.gz
 7daca1aac53743d4149d48ba2be7f8358ed21e60 20485 live-boot_3.0~a26-1.debian.tar.gz
 d5fea5dd3760508f3ff670cfeac0dcf8fe9448fb 19982 live-boot_3.0~a26-1_all.deb
 a3e81778c75a8d670b22b1f699de08e951c71dc5 74164 live-boot-doc_3.0~a26-1_all.deb
 997510cc6c33ad76951dc40a0e2fb061e8412544 40858 live-boot-initramfs-tools_3.0~a26-1_all.deb
Checksums-Sha256: 
 7b6a104012e05c3ad950827711f3641572f012cdf3bc1d372b30791b1f69ca57 1386 live-boot_3.0~a26-1.dsc
 b1a582e45a749739204019d1a5a80612875fe149eab0041ea66f832bc4e15e1e 129914 live-boot_3.0~a26.orig.tar.gz
 a113df250b39edd953bf23a3d25ca2df65f867c0e1137d0a0d9b38b8bf9da008 20485 live-boot_3.0~a26-1.debian.tar.gz
 6db8dd328998799ae69841df79e46f07241edf1002806dcd58214bb237bac05c 19982 live-boot_3.0~a26-1_all.deb
 bf66381e6f92dc917f270488fd1756c4da139bf6c507751fbc3a0cf101659f2b 74164 live-boot-doc_3.0~a26-1_all.deb
 8e24aef86464976187246f5412bd8c74e102c3a57aae35a15ed87e32213543a3 40858 live-boot-initramfs-tools_3.0~a26-1_all.deb
Files: 
 28f1045bbb817c24071bea46bb5add29 1386 misc optional live-boot_3.0~a26-1.dsc
 7ca777ca88a3dca3b1087915cf9e82f0 129914 misc optional live-boot_3.0~a26.orig.tar.gz
 9ee505834839e8af181c5fa4b1091f04 20485 misc optional live-boot_3.0~a26-1.debian.tar.gz
 8002d6c47a5ce9a868e093267fa3cea6 19982 misc optional live-boot_3.0~a26-1_all.deb
 168f55aaac4c877875ee35206b759b42 74164 doc optional live-boot-doc_3.0~a26-1_all.deb
 1e300306cc27420dd8289547e135691b 40858 misc optional live-boot-initramfs-tools_3.0~a26-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk99PRsACgkQ+C5cwEsrK54KtgCfSts0GVCIjLR47z7SjzgqQHKk
6XgAoOBGDEktPfaUeiGFG2acTlY/jF0a
=LI4u
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Jul 2012 07:31:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:50:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.